Uploaded image for project: 'WildFly'
  1. WildFly
  2. WFLY-9877

NAKACK, UNICAST2 and MERGE2 need to translate to their newer variants

    Details

      Description

      This is only an issue for EAP, which has different versions than WFLY, for that reason, all the versions mentioned here are EAP ones.

      After some discussion with people who test migrations, we found that these protocols that were deprecated in JGroups 3.6.x present in 7.1.0 and were removed in JGroups 4.0.10 present in 7.2.0 should be brought back in some form:

      NAKACK --> NAKACK2
      UNICAST2 --> UNICAST3
      MERGE2 --> MERGE3
      

      These are not in the default 7.0 or 7.1 configuration, so why do we need to translate these like we do it for NAKACK2? Because these protocols can be expected to be present in the 7.1 configuration due to migration from 6.x, where they are by default. Since, after migration from 6.x, these will work with the 7.1 configuration, and since there is a reason to expect them being used even if they are deprecated, we should not just silently remove these protocols with the JGroups upgrade that is in 7.2 - the configuration file from 7.1 should always work with 7.2.

      Cc Martin Švehla Petr Kremensky

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                pferraro Paul Ferraro
                Reporter:
                rjanik Richard Janík
                Tester:
                Richard Janík
              • Votes:
                0 Vote for this issue
                Watchers:
                5 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: